Summary:	Automated program generator
Summary(pl.UTF-8):	Zautomatyzowany generator programów
Name:		autogen
Version:	5.18.2
Release:	1
License:	GPL v3+ (AutoGen), LGPL v2+ (genshell), LGPL v3+ or Modified BSD (AutoOpts library)
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	1924fdfe36edb3e0fd66add20aca9b70
Patch0:		%{name}-notinstalled.patch
Patch1:		%{name}-info.patch
URL:		http://autogen.sourceforge.net/
BuildRequires:	guile-devel
BuildRequires:	libltdl-devel
BuildRequires:	libxml2-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Suggests:	%{name}-devel = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoGen is a tool designed for generating program files that contain
repetitive text with varied substitutions. Its goal is to simplify the
maintenance of programs that contain large amounts of repetitious
text. This is especially valuable if there are several blocks of such
text that must be kept synchronized in parallel tables.

%description -l pl.UTF-8
AutoGen to narzędzie zaprojektowane do generowania plików programów
zawierających powtarzający się tekst z różnymi podstawieniami. Celem
projektu jest uproszczenie zarządzania programów zawierających duże
ilości powtórzonego tekstu. Jest szczególnie wartościowy jeśli jest
kilka bloków takiego tekstu, które muszą być synchronizowane
równolegle.

%package libs
Summary:	Shared AutoOpts library
Summary(pl.UTF-8):	Biblioteka współdzielona AutoOpts
License:	LGPL v3+ or Modified BSD
Group:		Libraries
Conflicts:	autogen < 5.14

%description libs
Shared AutoOpts library.

%description libs -l pl.UTF-8
Biblioteka współdzielona AutoOpts.

%package devel
Summary:	Header files for AutoOpts library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AutoOpts
License:	LGPL v3+ or Modified BSD
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for AutoOpts library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AutoOpts.

%package static
Summary:	Static AutoOpts library
Summary(pl.UTF-8):	Statyczna biblioteka AutoOpts
License:	LGPL v3+ or Modified BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AutoOpts library.

%description static -l pl.UTF-8
Statyczna biblioteka AutoOpts.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# .pc file is arch-dependent, so use arch-dependent pkgconfigdir
mv $RPM_BUILD_ROOT%{_datadir}/pkgconfig/autoopts.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/autogen
%attr(755,root,root) %{_bindir}/columns
%attr(755,root,root) %{_bindir}/getdefs
%attr(755,root,root) %{_bindir}/xml2ag
%{_datadir}/%{name}
%{_infodir}/autogen.info*
%{_mandir}/man1/autogen.1*
%{_mandir}/man1/columns.1*
%{_mandir}/man1/getdefs.1*
%{_mandir}/man1/xml2ag.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopts.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopts.so.25

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autoopts-config
%attr(755,root,root) %{_libdir}/libopts.so
%{_libdir}/libopts.la
%{_includedir}/autoopts
%{_aclocaldir}/autoopts.m4
%{_pkgconfigdir}/autoopts.pc
%{_mandir}/man1/autoopts-config.1*
%{_mandir}/man3/ao_string_tokenize.3*
%{_mandir}/man3/configFileLoad.3*
%{_mandir}/man3/option*.3*
%{_mandir}/man3/str*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libopts.a
%changelog
* Sun Oct 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/autogen.git;a=log;h=master

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 7973000
- updated to 5.18.2

* Thu Sep 12 2013 Jakub Bogusz <qboosh@pld-linux.org> d12a65a
- updated to 5.18.1

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> c383aa0
- updated to 5.18

* Mon Apr 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 012cf23
- updated to 5.17.3

* Tue Feb 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 0c7c126
- updated to 5.17.2
- updated notinstalled patch

* Mon Jan 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 0e06eaa
- updated to 5.17.1

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 4ba7abc
- updated to 5.17

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 2c0eee5
- updated to 5.16.2

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 5ce61db
- updated to 5.16.1

* Wed May 09 2012 Jakub Bogusz <qboosh@pld-linux.org> e82f57f
- updated to 5.16

* Tue Feb 28 2012 Jan Rękorajski <baggins@pld-linux.org> faf7c6f
- rel 2

* Mon Feb 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 13572aa
- updated to 5.15

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 79c152e
- updated to 5.14
- separated -libs (runtime package for programs using libopts i.e. AutoOpts library)
- base requres -libs and suggests -devel
- added notinstalled patch to fix build without installed autogen
- added info patch to unify direntry

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7447049
- up to 5.13 (pre as stable doesn't support guile 2.x)

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e4f0f52
- release 2

* Mon Jun 18 2007 Robert Tomasik <rotom@pld-linux.org> 0eea057
- up to 5.9

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> cfcea6a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 254e074
- converted to UTF-8

* Mon Jan 08 2007 Robert Tomasik <rotom@pld-linux.org> f860e98
- up to 5.8.8

* Mon Jan 01 2007 Paweł Sikora <pluto@pld-linux.org> c06be09
- rebuild with new guile soname, release 2.

